alias skins {
  dialog -ma skins skins 
  set %sk.i 0 | set %sk.n 1 | 
  :start 
  inc %sk.i 
  if ($findfile($mircdirskins,*.ini,%sk.n) == $null) { halt }
  did -i skins 2 %sk.i $remove($nopath($findfile($mircdirskins,*.ini,%sk.n)),.ini)
  inc %sk.n 
  goto start
}

dialog skins {
  title "SyStem Skins"
  size -1 -1 280 365
  option pixels
  icon psyscp.ico, 0
  box "", 1, 3 3 275 230
  list 2, 11 246 265 71, sort size vsbar
  icon 200, 10 1 260 240, icons/fone.jpg
  button "Ok", 10, 9 332 65 27, flat ok
  button "Oтмена", 1210, 110 332 65 27, flat ok
  box "", 4, 3 235 275 87
  box "", 5, 3 322 275 40
  button "Еще скины...", 50, 180 332 90 27, flat sex
}

on *:dialog:skins:sclick:2:{ 
  set %skinnumb $did(skins,2).sel | set %skin_file_name $findfile($mircdirskins,*.ini,%skinnumb) | set %preview.file $findfile($mircdirskins,*.bmp,%skinnumb) | 
  /set %skins.selectedskin $did(2).seltext
  /did -g skins 200 skins\ $+ %skins.selectedskin $+ \main1.jpg
} 

on *:dialog:skins:sclick:10:{ /play -c $me $shortfn(%skin_file_name) 0 }
alias skins { if !$dialog(skins) { dialog -m skins skins } } 

on *:DIALOG:skins:sclick:50: { /run http://www.mirc-love.com/ }

on *:dialog:skins:sclick:100: {
  if ($did(100).seltext = $null) { halt }
  if ($isdir(skins\ $+ $did(100).seltext) == $false) { If ($input(Данного скина не существует. Удалите неверную запись в списке скинов.,-os,skins,Нету скина,text)) { halt } | halt }
  /set %skins.selectedskin $did(100).seltext
  /did -g skins 200 skins\ $+ %skins.selectedskin $+ \query.jpg
}
